-c
-heap  0x0c0
-stack 0x100

MEMORY
{                               /* These are bytes */
    VECS:   o = 00000000h       l = 00000400h /* reset & interrupt vectors */
    PMEM:   o = 00000400h       l = 00001a00h /* Our boot code             */
    
    BMEM:   o = 8000fe00h       l = 00000200h /* For unitialised data      */
    RTSINIT o = 01401e00h       l = 00000200h /* Init tables for RTS       */
}

SECTIONS
{
    .vectors   >       VECS     /* These sections must ultimately be load */
    .text      >       PMEM     /* from the flash. They must therefore be */
                                /* linked to the space where the DMA copies */
                                /* into from the flash.                   */

    .cinit     >       RTSINIT  /* This section must also exist in the  */
                                /* Flash were the boot code can get at  */
                                /* initialisation tables, but it's data */
                                /* and therefore would be inaccessible  */
                                /* linked into program memory at reset. */
                                /* Need to make data access to the Flash*/
                                /* so put it just above the 64k         */

    .const     >       BMEM     /* Initialised section, but should be empty */


    .tables    >       BMEM    /* These sections are unitialised so can */
    .data      >       BMEM    /* be located in data RAM               */
    .stack     >       BMEM
    .bss       >       BMEM
    .sysmem    >       BMEM
    .cio       >       BMEM 
    .far       >       BMEM
}
